[tool.flit.scripts]
iechelle = "iechelle.__main__:run"

[tool.black]
line-length = 79
include = '\.pyi?$'
exclude = '''
/(
    \.git
  | \.hg
  | \.mypy_cache
  | \.tox
  | \.venv
  | _build
  | buck-out
  | build
  | dist
)/
'''

[tool.poetry]
name = "iechelle"
readme = "README.rst"
description = "Interactive Echelle Diagram analysis and peakbagging tool."
authors = ["Dinil Bose Palakkatharappil <dinilbose@gmail.com>", ]
license = "Apache-2.0"
packages = [{include = "iechelle"}]
homepage = "https://gitlab.com/dinilbose/iechelle"
version = "0.0.4"
include = ["AUTHORS.rst","CHANGELOG","CONTRIBUTING.rst","Dockerfile","LICENSE","Makefile","pyproject.toml","README.rst","tox.ini","docker/*","docs/*","scripts/*","**/conf/*", ".dockerignore"]


[tool.poetry.dependencies]
python = "^3.11"
toml = "^0.10.2"
loguru = "^0.7.2"
deepdiff = "^8.0.1"
bokeh = "^3.7.3"
numba = "^0.61.2"
apollinaire = "^1.3.2"
lightkurve = "^2.5.1"
pyqt5 = "^5.15.11"

[tool.poetry.scripts]
iechelle = "iechelle.__main__:run"

[tool.poetry.group.dev.dependencies]
pre-commit = "^3.8.0"
pre-commit-hooks = "^4.6.0"
flit = "^3.9.0"
flit-core = "^3.9.0"
black = "^24.8.1"
coverage = "^7.6.1"
flake8 = "^7.1.1"
mccabe = "^0.7.0"
mypy = "^1.8.0"
mypy-extensions = "^1.0.0"
pylint = "^3.0.3"
pytest = "^8.3.2"
tox = "^4.12.1"
Sphinx = "^7.2.6"
pip-licenses = "^5.0.0"
sphinx_rtd_theme = "^2.0.0"
sphinx-bootstrap-theme = "^0.8.1"
sphinxcontrib-plantuml = "^0.27"
pytest-html = "^4.1.1"
dockerfile-parse = "^2.0.1"
pytest-mock = "^3.14.0"
docker = "^7.0.0"
ipykernel = "^6.29.5"
pydata-sphinx-theme = "^0.16.1"
sphinxcontrib-mermaid = "^2.0.1"
pytest-playwright = "^0.5.1"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
